#!/bin/sh
########################################
###### Powered by SoftCam.Tv Team ######
###      http://www.SoftCam.Tv       ###
########################################

CAMNAME="CCcam 2.3.0/OSCam 1.00 "
USERNAME=""
ZAPTIME=6
CAMID=6369
DVBSET=0
INFOFILE="ecm.info"
INFOFILELINES=
# end

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp*
}

case "$1" in
  start)
  echo "[SCRIPT] $1: $CAMNAME"
  remove_tmp
  /var/bin/oscam_1.00 &
  sleep 15
  /var/bin/CCcam_2.3.0 &
  ;;
  stop)
  echo "[SCRIPT] $1: $CAMNAME"
  kill `pidof oscam_1.00 `
  killall oscam_1.00 CCcam_2.3.0 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
